> ## Documentation Index
> Fetch the complete documentation index at: https://specbeeconsultingservices.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Employee

> Retrieves the information for a single employee based on the scopes that your API key or access token have access to.



## OpenAPI

````yaml get /platform/api/employees/{employeeId}
openapi: 3.0.0
info:
  title: API Reference
  version: '1.0'
  contact:
    name: Rippling Support
    email: support@rippling.com
  license:
    name: MIT
  description: >-
    Using Rippling's API requires either an API key or an access token retrieved
    from an OAuth exchange. Each is tied to a single Rippling Company.


    If you are a partner building an integration to Rippling,you can use
    [Rippling's Installation
    Guide](https://developer.rippling.com/docs/rippling-api/fucwnbc121hiu-installation-guide)
    to learn how to retrieve an access token to start using Rippling APIs.


    If you are a customer, you can go
    [here](https://developer.rippling.com/docs/rippling-api/9rw6guf819r5f-introduction-for-customers)
    to learn create your API keys to start using Rippling APIs.


    ### Using the Interactive Documentation


    Rippling's Documentation Portal allows you to test the API endpoints
    directly within the documentation. To do so, provide your API key or Access
    Token as a header parameter with the form Authorization Bearer: Bearer.
  termsOfService: https://app.rippling.com/developer/tos
servers:
  - url: https://api.rippling.com
    description: Production
security:
  - Token: []
tags:
  - name: A. Companies
  - name: B. Employees
  - name: C. Payroll
  - name: D. 401k
  - name: F. Groups
  - name: G. SAML
  - name: E. Current User
  - name: H. ATS
  - name: I. Application Management
  - name: J. Reports
  - name: Deprecated
paths:
  /platform/api/employees/{employeeId}:
    parameters:
      - name: employeeId
        in: path
        description: Unique identifier for the employee within Rippling.
        schema:
          type: string
        required: true
    get:
      tags:
        - B. Employees
      summary: GET Employee
      description: >-
        Retrieves the information for a single employee based on the scopes that
        your API key or access token have access to.
      operationId: get-employees-employeeId
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Employee'
              examples:
                example-1:
                  value:
                    id: string
                    name: string
                    firstName: string
                    lastName: string
                    employmentType: CONTRACTOR
                    photo: string
                    smallPhoto: string
                    title: string
                    gender: MALE
                    identifiedGender: MALE
                    department: string
                    workLocation:
                      city: string
                      streetLine1: string
                      zip: string
                      country: string
                      state: string
                      streetLine2: string
                    worklocationNickname: string
                    spokeId: string
                    endDate: string
                    roleState: INIT
                    workEmail: string
                    manager: string
                    customFields:
                      Id: string
                      type: TEXT
                      title: string
                      required: true
                    workSchedule:
                      MONDAY:
                        hours: 8
                      TUESDAY:
                        hours: 8
                      WEDNESDAY:
                        hours: 8
                      THURSDAY:
                        hours: 8
                      FRIDAY:
                        hours: 8
                      SATURDAY:
                        hours: 0
                      SUNDAY:
                        hours: 0
                    isRemote: true
      security:
        - Token: []
components:
  schemas:
    Employee:
      title: Employee
      type: object
      description: An employee model object.
      x-tags:
        - Models
      properties:
        id:
          type: string
          description: >-
            This is the unique role ID of the employee. A role ID exists per 1
            and only 1 company.
        userId:
          type: string
          description: >-
            This is the unique user ID of the employee. A userID can span across
            1 or many companies.
          x-stoplight:
            id: qo8fmhxm9eaow
        name:
          type: string
          description: Full name of the employee
        preferredFirstName:
          type: string
        preferredLastName:
          type: string
        firstName:
          type: string
          description: First name of the employee
        lastName:
          type: string
          description: Last name of the employee
        employmentType:
          type: string
          enum:
            - CONTRACTOR
            - SALARIED_FT
            - SALARIED_PT
            - HOURLY_FT
            - HOURLY_PT
            - TEMP
          description: An ENUM of employment type
        title:
          type: string
          description: The employee's work title
        gender:
          type: string
          enum:
            - MALE
            - FEMALE
            - null
          description: The employee's gender
        identifiedGender:
          type: string
          enum:
            - MALE
            - FEMALE
            - NONBINARY
            - null
          description: The employee's identified gender
        department:
          type: string
          description: The employee's department name
        workLocation:
          $ref: '#/components/schemas/Address'
        worklocationNickname:
          type: string
          description: The work location nickname
        spokeId:
          type: string
          nullable: true
        endDate:
          type: string
          description: The employee's end date
          nullable: true
        roleState:
          type: string
          enum:
            - INIT
            - HIRED
            - ACCEPTED
            - ACTIVE
            - TERMINATED
          description: >-
            The employee's role status - roleState meanings:


            INIT: An initial record of an individual. An offer has not been made
            and they have not started working at the company.


            HIRED: An offer has been made but they have not accepted or started
            yet.


            ACCEPTED: An offer has been made and they have accepted, but they
            have not started yet.


            ACTIVE: The employee currently works at the company and their start
            date is today or in the past.


            TERMINATED: The employee is no longer active.
        workEmail:
          type: string
          description: The employee's work email
          nullable: true
        manager:
          type: string
          description: >-
            The unique identifier of the employee's manager. This value can be
            null.
        customFields:
          $ref: '#/components/schemas/CustomField'
        isInternational:
          type: boolean
          description: Whether the employee is an international employee or not.
        isManager:
          type: boolean
          description: Whether the employee is a manger
        workSchedule:
          type: object
          description: The employee's weekly work schedule
        isRemote:
          type: boolean
          description: Whether the employee's job is remote
        employeeNumber:
          type: string
          description: >-
            This indicates the sequential employee number within their company.
            This number continues to grow as each employee is onboarded. i.e if
            you are the 65th employee to join the company with 32 active
            employees, the employeeNumber would be 65.
          x-stoplight:
            id: shrqyh9ukihc6
        level:
          type: string
          x-stoplight:
            id: a73zkvy0w1qbb
          description: The level of the employee
        teams:
          type: array
          x-stoplight:
            id: 69m2nmyh7whyc
          description: An array of the teams that the employee is on
          items: {}
        photo:
          type: string
          x-stoplight:
            id: pdz71a9o6loo2
          description: The photo of the employee stored in Rippling
        smallPhoto:
          type: string
          x-stoplight:
            id: rc369x8ekxrw9
          description: The small photo of the employee stored in Rippling
    Address:
      title: Address
      type: object
      description: An address object as stored within Rippling.
      x-tags:
        - Models
      nullable: true
      properties:
        streetLine1:
          type: string
        streetLine2:
          type: string
          x-stoplight:
            id: mmxhb8sdzu0b0
        zip:
          type: string
        city:
          type: string
        state:
          type: string
        country:
          type: string
        phone:
          type: string
          x-stoplight:
            id: yj4a1ddet87j2
        isRemote:
          type: boolean
          x-stoplight:
            id: nmlr0lk92e2hp
        steLocationCode:
          type: object
          x-stoplight:
            id: jxxg9s4455h1t
          properties:
            locationCode:
              type: string
              x-stoplight:
                id: rm5caha8efems
            stateCode:
              type: string
              x-stoplight:
                id: anth3c82ksjp9
            countyCode:
              type: string
              x-stoplight:
                id: k2onu543xceey
            cityCode:
              type: string
              x-stoplight:
                id: 09ilcuma9ds23
            schoolCode:
              type: string
              x-stoplight:
                id: p466avszwv90x
            municipalityCode:
              type: string
              x-stoplight:
                id: uxubttcx58lgc
            psdCode:
              type: string
              x-stoplight:
                id: irrn4il5jp5qy
            transitDistrictCode:
              type: string
              x-stoplight:
                id: 41w08evs09sqf
            isOverridden:
              type: string
              x-stoplight:
                id: 0zf0azi5b5dzv
    CustomField:
      title: CustomFields
      x-stoplight:
        id: lq7tm2y597gj6
      type: object
      x-examples:
        Sample:
          COVID-19 vaccination status: Partially vaccinated
          Marital status: Married
      properties:
        customFieldTitle1:
          type: string
        customFieldTitleN:
          type: string
      description: ''
      x-tags:
        - Models
  securitySchemes:
    Token:
      type: http
      scheme: bearer

````